#include <gnome.h>

#include "export_cb.h"


GtkWidget*
create_export_dialog (void)
{
  GtkWidget *RubricaExport;
  GtkWidget *dialog_vbox1;
  GtkWidget *frame1;
  GtkWidget *vbox1;
  GtkWidget *label1;
  GtkWidget *hseparator1;
  GtkWidget *hbox1;
  GtkWidget *label2;
  GtkWidget *fileentry1;
  GtkWidget *combo_entry1;
  GtkWidget *hbox2;
  GtkWidget *label3;
  GtkWidget *entry1;
  GtkWidget *dialog_action_area1;
  GtkWidget *button1;
  GtkWidget *button3;

  RubricaExport = gnome_dialog_new (_("Rubrica Export"), NULL);
  gtk_container_set_border_width (GTK_CONTAINER (RubricaExport), 2);
  gtk_window_set_policy (GTK_WINDOW (RubricaExport), FALSE, FALSE, FALSE);

  dialog_vbox1 = GNOME_DIALOG (RubricaExport)->vbox;
  gtk_widget_show (dialog_vbox1);

  frame1 = gtk_frame_new (_(" Rubrica export tool "));
  gtk_widget_show (frame1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), frame1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame1), vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (vbox1), 5);

  label1 = gtk_label_new (_("Rubrica can export his addressbooks to html \n(other format will came).\nYou must have installed python2, libxml2-python\nand libxslt-python, to use this tool"));
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (vbox1), label1, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator1, TRUE, TRUE, 0);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox1), 5);

  label2 = gtk_label_new (_("your addressbook: "));
  gtk_widget_show (label2);
  gtk_box_pack_start (GTK_BOX (hbox1), label2, FALSE, FALSE, 0);

  fileentry1 = gnome_file_entry_new ("export_id", NULL);
  gtk_object_set_data(GTK_OBJECT (RubricaExport), "fileentry", fileentry1);
  gtk_widget_show (fileentry1);
  gtk_box_pack_start (GTK_BOX (hbox1), fileentry1, TRUE, TRUE, 0);

  combo_entry1 = gnome_file_entry_gtk_entry (GNOME_FILE_ENTRY (fileentry1));
  gtk_widget_show (combo_entry1);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox2), 5);

  label3 = gtk_label_new (_("exported file name: "));
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (hbox2), label3, FALSE, FALSE, 0);

  entry1 = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (RubricaExport), "entry", entry1);
  gtk_widget_show (entry1);
  gtk_box_pack_start (GTK_BOX (hbox2), entry1, TRUE, TRUE, 0);

  dialog_action_area1 = GNOME_DIALOG (RubricaExport)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (dialog_action_area1), 8);

  gnome_dialog_append_button_with_pixmap (GNOME_DIALOG (RubricaExport),
                                          _("Export"), GNOME_STOCK_PIXMAP_CONVERT);
  button1 = GTK_WIDGET (g_list_last (GNOME_DIALOG (RubricaExport)->buttons)->data);
  gtk_widget_show (button1);
  GTK_WIDGET_SET_FLAGS (button1, GTK_CAN_DEFAULT);

  gnome_dialog_append_button (GNOME_DIALOG (RubricaExport), GNOME_STOCK_BUTTON_CLOSE);
  button3 = GTK_WIDGET (g_list_last (GNOME_DIALOG (RubricaExport)->buttons)->data);
  gtk_widget_show (button3);
  GTK_WIDGET_SET_FLAGS (button3, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (button1), "clicked",
                      GTK_SIGNAL_FUNC (on_export_file_clicked),
                      RubricaExport);

  gtk_signal_connect_object (GTK_OBJECT (button3), "clicked",
			     GTK_SIGNAL_FUNC (gtk_widget_destroy),
			     (gpointer) RubricaExport);

  return RubricaExport;
}

